Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Laserteile- Kontur messen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Laserteile- Kontur messen (4725 mal gelesen)
tech-id
Mitglied
Techniker Maschinenbau


Sehen Sie sich das Profil von tech-id an!   Senden Sie eine Private Message an tech-id  Schreiben Sie einen Gästebucheintrag für tech-id

Beiträge: 49
Registriert: 04.10.2006

Inventor 2008 Professional
ACAD 2007 Mechanical/Desktop
ACAD 2002 Mechanical/ Desktop 6

erstellt am: 08. Feb. 2008 07:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

kennt von Euch jemand eine Möglichkeit, bei Abwicklungen die komplette Kontur eines Laserteiles, sprich die Schnittlänge für Laser zu ermitteln?
Die Aussenkontur ist ja kein Problem, aber wenn ich noch viele Ausklinkungen an einem Bauteil habe wirds komplizierter, da ich dann jede Kontur einzeln messen muss und diese dann addieren muss.
Ich wäre über einen Tipp dankbar.

------------------
Grüße Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Micha Knipp
Ehrenmitglied
Werkzeugmacher


Sehen Sie sich das Profil von Micha Knipp an!   Senden Sie eine Private Message an Micha Knipp  Schreiben Sie einen Gästebucheintrag für Micha Knipp

Beiträge: 1751
Registriert: 06.06.2001

XEON E5 3,2GHz 24GB PNY Q2000, 30"
Windows 7/64 Professional
Inventor Pro 2017
Vault Pro 2017
SpacePilot Pro
---
HP Z1 * 27"
Windows 7/64 Professional
SpaceNavigator
Alibre-GD V2017 64 - M-Files 8
KeyShot 6 64

erstellt am: 08. Feb. 2008 07:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Moin Frank,
RMK/Messen/Kontur 

------------------
Gruß aus Leverkusen
Micha Knipp

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tech-id
Mitglied
Techniker Maschinenbau


Sehen Sie sich das Profil von tech-id an!   Senden Sie eine Private Message an tech-id  Schreiben Sie einen Gästebucheintrag für tech-id

Beiträge: 49
Registriert: 04.10.2006

Inventor 2008 Professional
ACAD 2007 Mechanical/Desktop
ACAD 2002 Mechanical/ Desktop 6

erstellt am: 08. Feb. 2008 07:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Micha,

das ist mir schon klar, aber ich möchte die komplette zu lasernde Kontur auf einmal messen und nicht jede einzeln und dann addieren.

------------------
Grüße Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Micha Knipp
Ehrenmitglied
Werkzeugmacher


Sehen Sie sich das Profil von Micha Knipp an!   Senden Sie eine Private Message an Micha Knipp  Schreiben Sie einen Gästebucheintrag für Micha Knipp

Beiträge: 1751
Registriert: 06.06.2001

XEON E5 3,2GHz 24GB PNY Q2000, 30"
Windows 7/64 Professional
Inventor Pro 2017
Vault Pro 2017
SpacePilot Pro
---
HP Z1 * 27"
Windows 7/64 Professional
SpaceNavigator
Alibre-GD V2017 64 - M-Files 8
KeyShot 6 64

erstellt am: 08. Feb. 2008 07:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Ich bin davon ausgegangen, dass Du die Aussenkontur meinst. Das funktioniert so, wie beschrieben. Alles andere wird mit Bordmitteln IMHOIn my humble oppinion (Meiner Meinung nach) nicht gehen.

------------------
Gruß aus Leverkusen
Micha Knipp

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Big-Biker
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinen



Sehen Sie sich das Profil von Big-Biker an!   Senden Sie eine Private Message an Big-Biker  Schreiben Sie einen Gästebucheintrag für Big-Biker

Beiträge: 2585
Registriert: 14.10.2004

INV Prof. 2018
Fujitsu Celsius, 32 Gb Ram
AMD Fire Pro W5100
SpaceNavigator,
HP ZBook G3

erstellt am: 08. Feb. 2008 07:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Im Acad geht da was. Ich kann mich erinnern, vor Jahren mal Flächen (sollte auch mit der Konturlänge gehen und auch mit addieren)innerhalb einer größeren Fläche von dieser abgezogen zu haben. Ging zwar innerhalb einer Befehlsausführung, war trotzdem mit Handarbeit verbunden. Ich glaube auch nicht, das die DIVAScherzhafte Bezeichnung für Inventor IV ohne Zusatztool da recht weit kommt. Vielleicht kann der Leo noch was dazu sagen.

BB

------------------
Wir erfahren unsere Grenzen erst, wenn wir sie überschreiten !

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michi.h.lang
Mitglied
Maschinenbaustudent und Technischer Zeichner


Sehen Sie sich das Profil von Michi.h.lang an!   Senden Sie eine Private Message an Michi.h.lang  Schreiben Sie einen Gästebucheintrag für Michi.h.lang

Beiträge: 16
Registriert: 19.12.2007

Microsoft Windows XP Prof. SP2
Prozessor: Intel Core 2 Quad Q6600 (4x 2400 MHz)
Arbeitspeicher: 4GB DDR2 RAM
Mainboard: Asus P5N-E SLI NVIDIA nForce 650i SLI
Grafikkarte: Geforce EN8600GT (256 MB)

erstellt am: 08. Feb. 2008 08:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich


Messen.JPG

 
 
Zitat:
Original erstellt von tech-id:

das ist mir schon klar, aber ich möchte die komplette zu lasernde Kontur auf einmal messen und nicht jede einzeln und dann addieren.


Hallo zusammen    

Meinst du das summieren von werten, das kann nämlich die DIVAScherzhafte Bezeichnung für Inventor IV

Geht so man klickt auf kontur messen dann misst man zuerst einmal danach linksklick auf den Pfeil dann gibts da

Zu summierung hinzufügen
summierung löschen
summierung anzeigen

Wichtig man muss jeden wert zuerst messen dann zu summierung hinzufügen und immer so weiter bei jedem wert wenn alle gewollten werte so erfasst sind kann man sie mit summierung anzeigen Anzeigen lassen

Ob es ein Befehl gibt alle Konturen eines Bauteils zu messen weiß ich nicht  

Grüßle Michi


------------------
 

[Diese Nachricht wurde von Michi.h.lang am 08. Feb. 2008 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kraxelhuber
Mitglied
staatlich geprüfter Techniker Fachrichtung Maschinentechnik


Sehen Sie sich das Profil von Kraxelhuber an!   Senden Sie eine Private Message an Kraxelhuber  Schreiben Sie einen Gästebucheintrag für Kraxelhuber

Beiträge: 726
Registriert: 28.03.2007

MS Windows 7 64-bit;
Intel Core i7 CPU 965
@ 3.20GHz, 12GB RAM;
NVIDIA Quadro 5000 - 2,5GB;
HP LP3065 - 30" TFT Monitor;
AIP 2014

erstellt am: 08. Feb. 2008 08:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Ich hätte fast gesagt das es in der "AutoLimits" Umgebung funktioniert und zwar mit der Funktion "Flächenumfangs-Autolimits".
Die funktioniert allerdings nicht in der Blechumgebung. Man könnte sich allerdings die Abwicklung exportieren und als Bauteil neu laden und dann die o.b. Funktion verwenden.

------------------
Gruß Dirk

Im großen Garten der Geometrie kann sich jeder nach seinem Geschmack einen Strauß pflücken.
(David Hilbert)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

LK36
Ehrenmitglied
 MB-Techniker / Konstruktion


Sehen Sie sich das Profil von LK36 an!   Senden Sie eine Private Message an LK36  Schreiben Sie einen Gästebucheintrag für LK36

Beiträge: 1758
Registriert: 14.03.2002

i7-4820K 8x3.7/4.5Ghz / 16GB-RAM(1600) / Gef.-GTX970-4GB / SpaceNavigator / Win8.1-64Pro / Inv.2018 Pro

erstellt am: 08. Feb. 2008 09:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Das messen mit Inv. (Summierung, etc.) erscheint mir sehr risikoreich. Mir fehlen die Messfunktion aus Acad auch des öfteren.
Ich speichere die zu messende Kontur einfach als dwg ab, öffne diese mit Acad und mache eine geschlossenen Polylinie daraus. Mit "liste" bekomme ich dann die exakte Länge (und Umfang, etc.) angezeigt. Hat bisher noch nie Fehler gegeben.

------------------
Lutz

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PaulSchuepbach
Mitglied
Programmierer



Sehen Sie sich das Profil von PaulSchuepbach an!   Senden Sie eine Private Message an PaulSchuepbach  Schreiben Sie einen Gästebucheintrag für PaulSchuepbach

Beiträge: 1005
Registriert: 01.10.2003

erstellt am: 08. Feb. 2008 09:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo zusammen,

nur in der 2008 getestet: die Fläche vorselektieren und dann dieses Makro ablaufen lassen. Es werden die Längen aller Kanten zusammengezählt:


Public Sub getCurves()

  Dim oApp As Inventor.Application
  Set oApp = ThisApplication
 
  Dim oDoc As PartDocument
  Set oDoc = oApp.ActiveDocument
 
  Dim dLeng As Double
  dLeng = 0
 
  Dim oFace As Face
 
  On Error Resume Next
  Set oFace = oDoc.SelectSet(1)
 
  If Err Then
    MsgBox "Entweder nichts oder keine Fläche vorselektiert", 16, "Fehler"
    Exit Sub
  End If
 
  Dim i as Integer

  For i = 1 To oFace.EdgeLoops.Count
    dLeng = dLeng + oApp.MeasureTools.GetLoopLength(oFace.EdgeLoops(i))
  Next i

  MsgBox "Konturlänge beträgt : " & Round(dLeng * 10, 3) & " mm", vbInformation, "Loop Länge"
 
End Sub


HTH

------------------
Grüsse, Paul

Inventor-Programmierung, Inventor-Tools und Inventor API-Schulung

Meine Tochter auf Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kraxelhuber
Mitglied
staatlich geprüfter Techniker Fachrichtung Maschinentechnik


Sehen Sie sich das Profil von Kraxelhuber an!   Senden Sie eine Private Message an Kraxelhuber  Schreiben Sie einen Gästebucheintrag für Kraxelhuber

Beiträge: 726
Registriert: 28.03.2007

MS Windows 7 64-bit;
Intel Core i7 CPU 965
@ 3.20GHz, 12GB RAM;
NVIDIA Quadro 5000 - 2,5GB;
HP LP3065 - 30" TFT Monitor;
AIP 2014

erstellt am: 08. Feb. 2008 09:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Sehr nett!
Passt nicht ganz hier her meine Frage aber: Kann man Makros als Button in die Schaltflächenleiste legen?

------------------
Gruß Dirk

Im großen Garten der Geometrie kann sich jeder nach seinem Geschmack einen Strauß pflücken.
(David Hilbert)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michael Puschner
Moderator
DVKfm




Sehen Sie sich das Profil von Michael Puschner an!   Senden Sie eine Private Message an Michael Puschner  Schreiben Sie einen Gästebucheintrag für Michael Puschner

Beiträge: 12828
Registriert: 29.08.2003

DELL M6600
AIP2010, IVp2011, IVp2012, IVp2013, AIP2014, IVp2015, IVp2016, IVp2017, AIP2018, IVp2019, IVp2020, Nastran (Win7)
AIP11 (VM XP32sp2)
IV1 (VM NT4sp6)
Acad2.1 (VM win98se)

Ein Programm sollte nicht nur Hand und Fuß, sondern auch Herz und Hirn haben.
(Michael Anton)

erstellt am: 08. Feb. 2008 10:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von Kraxelhuber:
... Kann man Makros als Button in die Schaltflächenleiste legen?

Dafür hat Igor (daywa1k3r) mal ein schönes Tutorial geschrieben.

------------------
Michael Puschner
Autodesk Inventor Certified Expert
Scholle und Partner GmbH

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tech-id
Mitglied
Techniker Maschinenbau


Sehen Sie sich das Profil von tech-id an!   Senden Sie eine Private Message an tech-id  Schreiben Sie einen Gästebucheintrag für tech-id

Beiträge: 49
Registriert: 04.10.2006

Inventor 2008 Professional
ACAD 2007 Mechanical/Desktop
ACAD 2002 Mechanical/ Desktop 6

erstellt am: 08. Feb. 2008 10:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für das Makro, das ist genau das was ich vür unsere AV brauchte, um die Laserzeiten zu berechnen. 

------------------
Grüße Frank

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kraxelhuber
Mitglied
staatlich geprüfter Techniker Fachrichtung Maschinentechnik


Sehen Sie sich das Profil von Kraxelhuber an!   Senden Sie eine Private Message an Kraxelhuber  Schreiben Sie einen Gästebucheintrag für Kraxelhuber

Beiträge: 726
Registriert: 28.03.2007

MS Windows 7 64-bit;
Intel Core i7 CPU 965
@ 3.20GHz, 12GB RAM;
NVIDIA Quadro 5000 - 2,5GB;
HP LP3065 - 30" TFT Monitor;
AIP 2014

erstellt am: 08. Feb. 2008 10:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Danke Michael!
Hätte da noch eine Frage: Es ist beschrieben wo die Icons gespeichert werden müssen allerdings konnte ich dem Text nicht entnehmen wie ich mein Macro mit diesem dort gespeicherten Icon verknüpfe??? Viell3icht habe ich auch etwas überlesen aber ich kanns nicht finden! Mein zweites Problem ist, dass die Werkzeugleiste nur ganz klein ist und ich den Namen der Leiste nichtmal lesen kann ich sie aber auch nicht größer ziehen kann?

Edit: Hat sich erledigt, hatte falsche Dateinamen für die Icons vergeben...


------------------
Gruß Dirk

Im großen Garten der Geometrie kann sich jeder nach seinem Geschmack einen Strauß pflücken.
(David Hilbert)

[Diese Nachricht wurde von Kraxelhuber am 08. Feb. 2008 editiert.]

[Diese Nachricht wurde von Kraxelhuber am 08. Feb. 2008 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Doc Snyder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Doc Snyder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12336
Registriert: 02.04.2004

IV 2017 + 2018 + 2019
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 8GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 08. Feb. 2008 10:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Schnittlänge = Randfläche / Blechdicke
Randfläche = Oberfläche - 2x Zuschnittfläche
Zuschnittfläche = Volumen / Blechdicke

=> Schnittlänge = Oberfläche/Blechdicke - 2xVolumen/Blechdicke^2

Diese Werte stehen in den physikalischen Eigenschaften bzw. in den Parametern.
Man muss das Teil dafür noch nicht mal abwickeln.

------------------
Roland  
www.Das-Entwicklungsbuero.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michael Puschner
Moderator
DVKfm




Sehen Sie sich das Profil von Michael Puschner an!   Senden Sie eine Private Message an Michael Puschner  Schreiben Sie einen Gästebucheintrag für Michael Puschner

Beiträge: 12828
Registriert: 29.08.2003

DELL M6600
AIP2010, IVp2011, IVp2012, IVp2013, AIP2014, IVp2015, IVp2016, IVp2017, AIP2018, IVp2019, IVp2020, Nastran (Win7)
AIP11 (VM XP32sp2)
IV1 (VM NT4sp6)
Acad2.1 (VM win98se)

Ein Programm sollte nicht nur Hand und Fuß, sondern auch Herz und Hirn haben.
(Michael Anton)

erstellt am: 08. Feb. 2008 11:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von Doc Snyder:
... Schnittlänge = Oberfläche/Blechdicke - 2xVolumen/Blechdicke^2  ...

GENIAL!       

    Das sind die "selbstverständlichen" Dinge, auf die außer Roland niemand kommt!


------------------
Michael Puschner
Autodesk Inventor Certified Expert
Scholle und Partner GmbH

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Doc Snyder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Doc Snyder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12336
Registriert: 02.04.2004

IV 2017 + 2018 + 2019
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 8GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 08. Feb. 2008 12:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Ist nicht von mir selber, im ProE-Forum war das schon mal Thema, und da kam einer mit dieser Lösung.

------------------
Roland  
www.Das-Entwicklungsbuero.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

PaulSchuepbach
Mitglied
Programmierer



Sehen Sie sich das Profil von PaulSchuepbach an!   Senden Sie eine Private Message an PaulSchuepbach  Schreiben Sie einen Gästebucheintrag für PaulSchuepbach

Beiträge: 1005
Registriert: 01.10.2003

erstellt am: 08. Feb. 2008 12:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von Doc Snyder:

=> Schnittlänge = Oberfläche/Blechdicke - 2xVolumen/Blechdicke^2

[/B]



Der Roland lässt uns wiedermal erst die ganze Arbeit machen und zieht dann 'ne Formel aus dem Ärmel...

   


------------------
Grüsse, Paul

Inventor-Programmierung, Inventor-Tools und Inventor API-Schulung

Meine Tochter auf Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rAist
Ehrenmitglied V.I.P. h.c.
CAD-Dozent (Creo/Inventor)



Sehen Sie sich das Profil von rAist an!   Senden Sie eine Private Message an rAist  Schreiben Sie einen Gästebucheintrag für rAist

Beiträge: 2048
Registriert: 07.08.2006

IV 2016, Creo Parametric 4.0, Sensationelle Hardware ... ;)

erstellt am: 08. Feb. 2008 14:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Doc Snyder:
Ist nicht von mir selber, im ProE-Forum war das schon mal Thema, und da kam einer mit dieser Lösung.



Wer wird denn sein Lichtlein unter den Scheffel stellen ? 

Fakt ist, es könnte ebensogut von dir sein 

------------------
Ein Schiff das im Hafen liegt ist sicher. Aber dafür werden Schiffe nicht gebaut.


Grüße, Marcus

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Fyodor
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing.(FH) Maschinenbau



Sehen Sie sich das Profil von Fyodor an!   Senden Sie eine Private Message an Fyodor  Schreiben Sie einen Gästebucheintrag für Fyodor

Beiträge: 2537
Registriert: 15.03.2005

SolidWorks 2014
Win 7 64bit
DELL Precision T3610
Intel XEON E5-1607v2 @ 3GHz
nvidia Quadro K2000
SpacePilot pro

erstellt am: 03. Mrz. 2009 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

 
Zitat:
Original erstellt von Doc Snyder:
Schnittlänge = Randfläche / Blechdicke
Randfläche = Oberfläche - 2x Zuschnittfläche
Zuschnittfläche = Volumen / Blechdicke

=> Schnittlänge = Oberfläche/Blechdicke - 2xVolumen/Blechdicke^2 

Diese Werte stehen in den physikalischen Eigenschaften bzw. in den Parametern.
Man muss das Teil dafür noch nicht mal abwickeln.


Hallo!
Diese Formeln funktionieren wunderbar in der Blechumgebung. Leider habe ich noch keinen Weg gefunden ähnliche Dinge im "normalen" Bauteil zu berechnen. Gibt es einen Weg, an die physikalsichen Eigenschaften ran zu kommen, so daß ich damit weiter rechnen kann?

------------------
Cheers,
    Jochen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Charly Setter
Moderator





Sehen Sie sich das Profil von Charly Setter an!   Senden Sie eine Private Message an Charly Setter  Schreiben Sie einen Gästebucheintrag für Charly Setter

Beiträge: 11847
Registriert: 28.05.2002

erstellt am: 03. Mrz. 2009 12:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Das funzt auch in der Normalumgebung 

Voraussetzung: Das Bauteil hat eine konstante Dicke (Ist halt ein Blech  )

Auf physikalische Eigenschaften zugreifen ? => VBA

------------------
Der vernünftige Mensch paßt sich der Welt an;
der unvernünftige besteht auf dem Versuch, die Welt sich anzupassen.

Deshalb hängt aller Fortschritt vom unvernünftigen Menschen ab.
(George Bernard Shaw)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 25. Mrz. 2020 11:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Experten,

die Formel für die Schnittlänge
gefällt mir sehr gut und ich möchte sie nutzen, um die Schnittlänge für den Laser in meinen idws anzugeben.


Um nun die iProperties eines beispielhaften Blechbauteils zu bearbeiten bin ich folgendermaßen vorgegangen:

In der Stückliste der übergeordneten Baugruppe habe ich eine Spalte "Volumen" eingefügt - klappt :-)
Eine weitere iProperty-Spalte mit der Formel =<surfacearea> cm^2 funktioniert auch              :-)
Noch eine weitere iProperty-Spalte mit dem Namen "SchnittLänge" eingefügt                        :-)
Die Formel unter Schnittlänge in eine Zelle geschrieben
"=<Oberfläche/Blechdicke - 2xVolumen/Blechdicke^2> cm"                                          :-(
Leider wird dies dort nicht berechnet. Es steht dann nur "cm" als Ergebnis im Feld.

Wo schreibe ich die Formel für die Schnittlänge hin und wie genau muss sie aussehen?

In der Parameterliste komme ich auch nicht weiter, da ich dort nicht auf die Oberfläche und das Volumen zugreifen kann.

Mit der Bitte um Hilfe und herzlichen Grüßen

Thomas


------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3638
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault 2020
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 25. Mrz. 2020 12:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Thomas,

Das ist ja eine Bauteileigenschaft. Lass es doch einfach im Part errechnen. Dann brauchst Du die Schnittlänge nur abrufen.

z.B als iLogic-Code:

Code:

Oberfläche =  iProperties.Area
Blechdicke=Stärke
Volumen= iProperties.Volume
Schnittlänge = Oberfläche / Blechdicke - 2 * Volumen / Blechdicke ^ 2

iProperties.Value("Custom", "Schnittlänge") = cstr(round(Schnittlänge,1)) & " mm"


------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Meierjo
Mitglied



Sehen Sie sich das Profil von Meierjo an!   Senden Sie eine Private Message an Meierjo  Schreiben Sie einen Gästebucheintrag für Meierjo

Beiträge: 208
Registriert: 20.08.2003

Windows 10 Prof 64 Bit
Inventor Prof 2019
Vault Basic 2019

erstellt am: 25. Mrz. 2020 13:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich


Exportparameter.png

 
Hallo

Zitat:

Die Formel unter Schnittlänge in eine Zelle geschrieben
"=<Oberfläche/Blechdicke - 2xVolumen/Blechdicke^2> cm"                                           :-(
Leider wird dies dort nicht berechnet. Es steht dann nur "cm" als Ergebnis im Feld.

Damit du die Parameter zum Berechnen verwenden kannst, musst du den Haken bei "Export-Parameter" setzen

Gruss

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3638
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault 2020
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 25. Mrz. 2020 16:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

So wird das auch nix.

In spitzen Klammern stehen nur bekannte Parameter - jeder für sich in einer spitzen Klammer.


------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 25. Mrz. 2020 17:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Lothar,

an vba bzw. iLogic hatte ich auch schon gedacht, aber da bin ich selber nicht besonders bewandert und im Betrieb des Kunden wird Beides bisher auch noch nicht eingesetzt. Auf jeden Fall vielen Dank für den Code. Eventuell greifen wir darauf zurück.
Zuerst verfolge ich den Ansatz mit den spitzen Klammern noch einmal sorgfältig. Ich hatte schon probiert, jeden einzelnen Parameter so einzuklammern, aber dabei ist mir möglicherweise ein Schreibfehler unterlaufen, so dass dabei leider kein brauchbares Ergebnis herausgekommen ist. Ich werde es morgen noch einmal in Ruhe am Inventor-Arbeitsplatz probieren und dann hier berichten.

Herzliche Grüße

Thomas

------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 25. Mrz. 2020 18:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hi,

mein Problem ist eher umgekehrt gelagert:
"In der Parameterliste komme ich auch nicht weiter, da ich dort nicht auf die Oberfläche und das Volumen zugreifen kann."
Ich muss also nichts aus der Parametertabelle in die iProps exportieren, sondern in den Parametern auf die bestehenden iProps zugreifen.
Das Ergebnis dieser Berechnung in den Parametern könnte ich dann natürlich auf dem von Dir beschriebenen Weg wieder in die iProperties schieben - aber so weit bin ich leider noch nicht gekommen ... Trotzdem vielen Dank

Thomas

------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 26. Mrz. 2020 08:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Lothar, hallo Community,

nun habe ich es genau so in das benutzerdefinierte iProp "Schnittlänge" eingegeben:

=<Oberfläche>/<Objekthöhe> - 2* <Volumen>/<Objekthöhe> ^2 cm

Es wird auch ein Wert berechnet. Nur leider entspricht er genau dem Wert, der schon in der "Oberfläche" steht.

Daraus folgere ich, dass der Wert für "Volumen" nicht übermittelt wird und somit als Null angenommen wird.

Wie bekomme ich den Wert aus der Stückliste in der Spalte "Volumen" in die iProperties des Einzelteils?

Oder geht es tatsächlich nur mit vba bzw. iLogic?


------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3638
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault 2020
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 26. Mrz. 2020 08:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Thomas,

ich habe jetzt auch nicht die Zeit mich um deine spezielle Vorgehensweise zu kümmern.

Wenn Du ein Ergebnis brauchst, dann mach es einfach mit iLogic. Dafür gibt es da ja.
Dann noch den Ereignisauslöser setzen auf vor dem Speichern und schon gehts.


------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 26. Mrz. 2020 10:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Nun habe ich die Regel erstellt und sie hat mehrmals gut und richtig funktioniert.
Aber jetzt geht sie plötzlich nicht mehr, nachdem ich sie in einem dafür angelegten Ordner erstellt und als externe Regel gestartet habe.
Die iProperties werden noch erstellt, aber als Inhalt kommt bei Schnittlänge nur noch "NaN mm".

 

Hat noch Jemand eine Idee, woran das liegen kann und was ich anders machen sollte?

Sobald ich die Regel in der Bauteildatei gespeichert und gestartet habe, sind die Ergebnisse wieder richtig 
------------------
Herzliche Grüße
Thomas

[Diese Nachricht wurde von tschütte am 26. Mrz. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3638
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault 2020
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 26. Mrz. 2020 12:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Thomas,

das liegt voraussichtlich daran, dass das iProperty als Text angelegt wird. Wenn Du in der Regel die Umwandlung zu Text und das Anhänden der " mm" herausnimmst, wird das iProperty als "Anzahl" verwendet. Dann steht eine Zahl drin, womit die Meldung "NaN" == "keine Zahl" verschwinden sollte.

------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 27. Mrz. 2020 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Lothar, hallo Community,

erstaunlicherweise kann in vielen Bauteilen dieser Code als interne Regel ebenfalls verwendet werden:

Oberfläche =  iProperties.Area
Volumen= iProperties.Volume
Schnittlänge = Oberfläche / Objekthöhe - 2 * Volumen / Objekthöhe ^ 2
iProperties.Value("Custom", "Schnittlänge") = Round(Schnittlänge,1)

Weiterhin geht es aber nicht mit einer externen Regel. 
Schwerwiegender ist m.E. aber, dass der Code sich in keiner Form auf abgeleitete Bauteile anwenden lässt. Auch einige nicht-gespiegelte Bauteile liefern eine Fehlermeldung.

Ich bitte Euch deshalb noch einmal um einen verbesserten Code oder eine Idee für ein workaround.


------------------
Herzliche Grüße
Thomas

[Diese Nachricht wurde von tschütte am 27. Mrz. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michael Puschner
Moderator
DVKfm




Sehen Sie sich das Profil von Michael Puschner an!   Senden Sie eine Private Message an Michael Puschner  Schreiben Sie einen Gästebucheintrag für Michael Puschner

Beiträge: 12828
Registriert: 29.08.2003

DELL M6600
AIP2010, IVp2011, IVp2012, IVp2013, AIP2014, IVp2015, IVp2016, IVp2017, AIP2018, IVp2019, IVp2020, Nastran (Win7)
AIP11 (VM XP32sp2)
IV1 (VM NT4sp6)
Acad2.1 (VM win98se)

Ein Programm sollte nicht nur Hand und Fuß, sondern auch Herz und Hirn haben.
(Michael Anton)

erstellt am: 27. Mrz. 2020 10:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von tschütte:
... Weiterhin geht es aber nicht mit einer externen Regel. ...

Vermutlich ist es dasselbe Problem, das in diesem Nachbarthread

https://ww3.cad.de/foren/ubb/Forum50/HTML/039377.shtml

erst vorgestern gelöst wurde.

------------------
Michael Puschner
Autodesk Certified Instructor
Autodesk Inventor Certified Expert
Autodesk Inventor Certified Professional
Mensch und Maschine Scholle GmbH

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 28. Mrz. 2020 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Hallo Michael,

das werde ich am Montag ausprobieren, wenn ich wieder am Inventor-Arbeitsplatz bin, vielen Dank für den Hinweis :-)
Dann würde die letzte Zeile so aussehen

iProperties.Value("Custom", "Schnittlänge") = Round(Parameter("Schnittlänge"),1)

Richtig?

Im VBA-Forum habe ich den Hinweis erhalten, dass eventuell in den Bauteilen, die auch durch die interne Regel nicht richtig behandelt werden, der Parameter "Objekthöhe" nicht in den iProperties vorhanden ist. Wenn da z. B. die Kennzeichnung als Exportparameter fehlen sollte, wären beide Fragen gelöst.

Schönes WE und

------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tschütte
Mitglied
Ingenieur, Maschinenbau


Sehen Sie sich das Profil von tschütte an!   Senden Sie eine Private Message an tschütte  Schreiben Sie einen Gästebucheintrag für tschütte

Beiträge: 122
Registriert: 21.01.2010

SolidEdge 2020 Premium
Inventor professional 2019
Win 10 pro 64
shining3D einscan 2X pro plus

erstellt am: 30. Mrz. 2020 08:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Guten Morgen,

die Regel funktioniert nun bei allen Bauteilen sobald dort die "Objekthöhe" verfügbar ist.
Aber das Ändern der letzten Codezeile hat leider nur die folgende Fehlermeldung erzeugt:

"Fehler in Regel: Regel0 in Dokument: 4020036.ipt
Parameter: Keinen Parameter mit dem Namen "Schnittlänge" gefunden".

Also kann ich den Code bis auf Weiteres nur als interne Regel anwenden.
Hat noch Jemand eine Idee, wie der Code für die Verwendung als externe Regel aussehen müsste?

------------------
Herzliche Grüße
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3638
Registriert: 15.02.2001

DELL Precision 7520 Win10Pro-64
Inventor mit Vault 2020
---------------------
Während man es aufschiebt,
verrinnt das Leben.
Lucius Annaeus Seneca
(ca. 4 v. Chr - 65 n. Chr.)

erstellt am: 30. Mrz. 2020 09:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tech-id 10 Unities + Antwort hilfreich

Moin Thomas,

"Schnittlänge" ist erst mal eine Variable innerhalb von iLogic - also kein Parameter.

Bei einigen alten Blechteilen ist möglicherweise auch die Blechdicke nicht als "Stärke" sondern als "Objekthöhe" hinterlegt.


------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz